Bug 1310645 - Both Matcher Value and puppet-default value can be set at a time in sc-param
Both Matcher Value and puppet-default value can be set at a time in sc-param
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: aruzicka
Peter Ondrejka
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks: 1278718
  Show dependency treegraph
 
Reported: 2016-02-22 07:23 EST by Jitendra Yejare
Modified: 2017-08-15 16:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 13832 None None None 2016-04-22 11:58 EDT

  None (edit)
Description Jitendra Yejare 2016-02-22 07:23:42 EST
Description of problem:
Matcher value and puppet default can be set as matcher value for smart class parameter and at-a time. Actually If 'Use-puppet-default' option is checked for matcher, matcher value cannot be set from UI. And same is expected in CLI.

Version-Release number of selected component (if applicable):
foreman-1.11.0-0.develop.201602171602gitd5b5059.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Attempt to create matcher with override value and puppet default value at a time from CLI.
# hammer -u admin -p changeme sc-param add-override-value --match <match> --value <value> --use-puppet-default 1

Actual results:
Success! Both value and puppet default is set.

Expected results:
Either one is value is set -or- exception raised for wrong attempt.

Additional info:
Comment 3 Bryan Kearney 2016-02-22 08:09:08 EST
Upstream bug component is Provisioning
Comment 4 Bryan Kearney 2016-06-07 08:13:12 EDT
Upstream bug component is Hammer
Comment 5 Bryan Kearney 2016-06-10 04:18:33 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/13832 has been closed
Comment 6 Peter Ondrejka 2016-12-13 05:21:35 EST
Verified in Sat 6.3 snap 8

~]# hammer sc-param add-override-value --match os=* --value false --smart-class-parameter-id 202 --use-puppet-default 1
Could not create the override value:
  Error: Cannot use --value when --use-puppet-default is true
  
  See: 'hammer sc-param add-override-value --help'

Note You need to log in before you can comment on or make changes to this bug.